Subject: Re: 30 second startup delay on Cygwin programs from SYSTEM
From: Scott Atwood <[email-masked]>
To: [email-masked] (David Starks-Browning)
Cc: [email-masked]
Date: Fri, 26 Oct 2001 13:31:39 -0700 (PDT)

David Starks-Browning writes:
> On Friday 26 Oct 01, Scott Atwood writes:
> > I don't think the //X drive syntax is the problem here.  This is a new
> > installation, so I can't compare to previous versions of the Cygwin DLL,
> > but the %PATH% of the SYSTEM account doesn't contain any network drives:
> > 
> > C:\WINNT\system32;C:\WINNT;C:\WINNT\System32\Wbem;C:\Program Files\Symantec\pcAnywhere\;C:\Program Files\Common Files\Network Associates\VirusScan Engine\4.0.xx\;C:\cygwin\bin
> 
> Have you read "How should I set my PATH?" in the FAQ?

Yes, but I don't think that applies here.  The %PATH% I gave above is
the windows %PATH% for the SYSTEM user before starting a Cygwin process.
The FAQ says that /etc/profile will set my $PATH appropriately, and I
should be careful if I reset my $PATH in .bashrc or if I modify /etc/profile.
The is a default installation, so I have the default /etc/profile, and I
have not created any login configuration files for the SYSTEM account.

-Scott

-- 
Scott Atwood
[email-masked]
PGP key fingerprint:  2852 FAE0 B0BB FE52 7002  1019 4D48 78B3 6FF0 A89F

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/